
package de.ivu.elect.presentation.exchange.table;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.datei.entity.DateiExport;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;

@Named(DateiExportColumnBuilder.COMPONENT_NAME)
public class DateiExportColumnBuilder extends AbstractDateiExportColumnBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "dateiExportColumnBuilder";

  public DateiExportColumnBuilder() {
    super();
  }

  @Override
  protected List<ColumnEntry< ? super DateiExport>> getColumnEntriesSorted() {
    List<ColumnEntry< ? super DateiExport>> result = new ArrayList<>();

    result.add(dateiExportDateiErstellungszeitpunktColumn);
    result.add(dateiExportDateiOriginalDateinameColumn);
    result.add(dateiExportDateiFileTypeColumn);
    result.add(dateiExportDateiFormatColumn);

    return result;
  }
}
